<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Document</title>
    <script src="https://cdn.jsdelivr.net/npm/vue/dist/vue.js"></script>
</head>
<body>
    <!-- Mustache 기법: 텍스트 콘텐츠의 해당 위치에 {{}}를 통해 data를 참조할 수 있다. -->
    <div id="app">
        <p>{{name}}</p>
        <p>{{age}}</p>
        <p>{{getGreetingMsg('안녕하세요')}}</p>
    </div>

    <script>
        new Vue({
            el: "#app",
            data: {
                name: "홍길동",
                age: 30
            },
            methods: {
                getGreetingMsg: function(greeting) {
                    return `${greeting}'!' ${this.name}이고, ${this.age}살 입니다.'`;
                }
            }
        });
    </script>
</body>
</html>